use super::ToTriMesh;
use alga::general::Real;
use na;
use crate::procedural;
use crate::procedural::TriMesh;
use crate::shape::Cylinder;

impl<N: Real> ToTriMesh<N> for Cylinder<N> {
    type DiscretizationParameter = u32;

    fn to_trimesh(&self, nsubdiv: u32) -> TriMesh<N> {
        let diameter = self.radius() * na::convert(2.0f64);
        let height = self.half_height() * na::convert(2.0f64);

        procedural::cylinder(diameter, height, nsubdiv)
    }
}
